QGIS WFS Server provides too much precision

2014-07-29 08:23 AM - René-Luc ReLuc

Status: Closed

Priority: Normal

Assignee: René-Luc ReLuc

Category: QGIS Server

Affected QGIS version:2.4.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:Yes Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 19320

Description

In the GetFeature request QGIS WFS Server uses the static method: QgsDoubleToString. This method returns double with a precision

fixed to 17.

We do not need that much precision for coordinates. Firstly because we are not able to measure a position on earth with a lower micron

precision. Secondly because it unnecessarily overload response.

I propose to add the ability to specify the precision in the QgsDoubleToString method.

Related issues:

Related to QGIS Application - Feature request # 9797: Add a precision setting... Closed 2014-03-17

History

#1 - 2014-07-29 08:26 AM - René-Luc ReLuc

Pull Request supplied https://github.com/qgis/QGIS/pull/1520

#2 - 2014-08-09 08:24 AM - René-Luc ReLuc

- Target version set to Future Release - High Priority

- Assignee changed from Marco Hugentobler to René-Luc ReLuc

#3 - 2014-08-09 08:26 AM - René-Luc ReLuc

- File deleted (QgsDoubleToStringWithPrecision.patch)

#4 - 2014-08-22 06:53 AM - René-Luc ReLuc

- Resolution set to fixed/implemented

- Status changed from Open to Closed

- % Done changed from 0 to 100

Commits from pull request https://github.com/qgis/QGIS/pull/1520 has been merged
